View Issue Details

IDProjectCategoryView StatusLast Update
0004581GNUnetexit daemonpublic2019-04-05 23:13
ReporterlynXAssigned ToChristian Grothoff 
PrioritylowSeverityfeatureReproducibilityalways
Status feedbackResolutionopen 
PlatformOSFreeBSDOS Version9.3-RELEASE-p1
Product VersionSVN HEAD 
Target VersionFixed in Version 
Summary0004581: iptables not available on FreeBSD
Descriptionhttps://gnunet.org/book/export/html/1605 mentions exit/VPN possibly working on BSD, but unfortunately /usr/include/net/if_tun.h provides a lot less features than linux/if_tun.h. I added some ifdefs to correct the include and avoid some ioctls that do not exist on BSD, but the fact that gnunet-helper-exit tries to call "iptables" makes this feature currently not very portable to BSD.

I suppose it is pointless to commit my patches that allow gnunet-helper-exit to compile if it can't possibly work.
Additional InformationFatal: executable iptables not found in approved directories: No such file or directory
Fatal: executable iptables not found in approved directories: No such file or directory
Fatal: executable iptables not found in approved directories: No such file or directory
TagsNo tags attached.

Activities

Christian Grothoff

2016-08-03 11:50

manager   ~0011000

Is it so hard to figure out how to translate the iptables invocations to corresponding FreeBSD incantations?

ng0

2019-03-21 14:24

developer   ~0014230

It seems to me as if this bug would be solved once the rewrite of -dns-helper I was told about
is done?

Christian Grothoff

2019-04-05 23:13

manager   ~0014259

Yes, but this would require a _major_ rewrite of gnunet-service-dns to basically turn it into a DNS server instead of a DNS query interceptor.

Issue History

Date Modified Username Field Change
2016-06-17 20:13 lynX New Issue
2016-08-03 11:50 Christian Grothoff Note Added: 0011000
2017-02-26 01:41 Christian Grothoff Severity block => feature
2019-03-21 14:24 ng0 Note Added: 0014230
2019-03-21 14:24 ng0 Assigned To => Christian Grothoff
2019-03-21 14:24 ng0 Status new => feedback
2019-04-05 23:13 Christian Grothoff Note Added: 0014259